@echo off
rem ---------------------------------------------------------------
rem  Batch file to remove the HDD serial information from Win2K registry.
rem 
rem  Licensed Materials - Property of IBM
rem 
rem  (C) Copyright IBM Corp. 2002  All Rights Reserved.
rem 
rem  US Government Users Restricted Rights - Use, duplication or
rem  disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
rem ---------------------------------------------------------------

@echo ************************************ 
@echo * HDD Recovery Tool for IBM NAS100 *
@echo ************************************ 

if exist $$clear$$.reg del /q $$clear$$.reg

@echo *
@echo HDD information will be removed !!
@echo *
@echo To stop this program, press CTRL+C and then Y...
pause

@echo Windows Registry Editor Version 5.00              > $$clear$$.reg
@echo [HKEY_LOCAL_MACHINE\SOFTWARE\IBM\NAS\NAS100Svc]   >> $$clear$$.reg
@echo "HDDSerial1"=""                                   >> $$clear$$.reg
@echo "HDDSerial2"=""                                   >> $$clear$$.reg
@echo "HDDSerial3"=""                                   >> $$clear$$.reg
@echo "HDDSerial4"=""                                   >> $$clear$$.reg

regedit -s $$clear$$.reg > nul
net stop nas100svc > nul
net start nas100svc > nul
del /q $$clear$$.reg > nul

@echo *
@echo * Command completed successfully.
@echo *

:end
